#include "X3D_CoordMergerStateVariables.h"
#include "X3D_Coordinate.h"

#include <algorithm>

using namespace std;

namespace X3DTK {
namespace X3D {

CoordMergerStateVariables::CoordMergerStateVariables()
{
}

CoordMergerStateVariables::~CoordMergerStateVariables()
{
}

void CoordMergerStateVariables::finish()
{
  _coordinateList.clear();
}

void CoordMergerStateVariables::addNode(Coordinate *C)
{
  _coordinateList.push_back(C);
}

bool CoordMergerStateVariables::getNode(Coordinate *C) const
{
  list<SFAbstractNode>::const_iterator it = std::find(_coordinateList.begin(), _coordinateList.end(), C);
  return (it != _coordinateList.end());
}

}
}
