#include "X3D_SceneSaverGetCoreVisitor.h"
#include "X3D_Scene.h"
#include "X3D_X3DNode.h"
#include "X3DTypesToSFString.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

SceneSaverGetCoreVisitor::SceneSaverGetCoreVisitor()
: CoreVisitor()
{
  // Enter functions.
  defineEnterFunction(&SceneSaverGetCoreVisitor::enterX3DNode);
}

void SceneSaverGetCoreVisitor::enterX3DNode(X3DNode *N) 
{
  SceneSaverStateVariables *stateVariables = GraphTraversal::getInstanceOf<SceneSaverStateVariables>();

  if (N->getName() != "")
    stateVariables->addName(N->getName());
}

}
}
