TEMPLATE = lib
CONFIG *= staticlib
TARGET = x3dkerneltypes

HEADERS = \
  AbstractVisitor.h \
  EnterFunction.h \
  LeaveFunction.h \
  VisitingFunctions.h \
  Visitor.h \
  Walker.h \
  DFSWalker.h \
  WalkOnFunction.h \
  X3DActor.h \
  X3DComponent.h \
  X3DComponentVisitor.h \
  X3DFunction.h \
  GraphTraversal.h \
  DFSGraphTraversal.h \
  StateVariables.h \
  X3DProcessor.h \
  X3DOnePassProcessor.h \
  X3DMultiPassProcessor.h \
  Progress.h

SOURCES = \
  AbstractVisitor.cpp \
  EnterFunction.cpp \
  LeaveFunction.cpp \
  VisitingFunctions.cpp \
  Visitor.cpp \
  Walker.cpp \
  DFSWalker.cpp \  
  WalkOnFunction.cpp \
  X3DActor.cpp \
  X3DComponent.cpp \
  X3DComponentVisitor.cpp \
  X3DFunction.cpp \
  GraphTraversal.cpp \
  DFSGraphTraversal.cpp \
  StateVariables.cpp \
  X3DProcessor.cpp \
  X3DOnePassProcessor.cpp \
  X3DMultiPassProcessor.cpp \
  Progress.cpp
  
include(../../X3DToolKit.pri)

INCLUDEPATH += ../../../include/X3DTK
INCLUDEPATH += ../../../include/X3DTK/private

DESTDIR  = ../../../lib/static
OBJECTS_DIR = ../../../obj
